# Uses of Enum Class
javafx.scene.shape.StrokeLineJoin

Packages that use StrokeLineJoin
Package
Description
javafx.scene.canvas
Provides the set of classes for canvas, an immediate mode style of rendering API.
javafx.scene.layout
Provides classes to support user interface layout.
javafx.scene.shape
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.

## Uses of StrokeLineJoin in javafx.scene.canvas

Methods in javafx.scene.canvas that return StrokeLineJoin
Modifier and Type
Method
Description
`StrokeLineJoin`
GraphicsContext.`getLineJoin()`
Gets the current stroke line join.
Methods in javafx.scene.canvas with parameters of type StrokeLineJoin
Modifier and Type
Method
Description
`void`
GraphicsContext.`setLineJoin(StrokeLineJoin join)`
Sets the current stroke line join.

## Uses of StrokeLineJoin in javafx.scene.layout

Methods in javafx.scene.layout that return StrokeLineJoin
Modifier and Type
Method
Description
`final StrokeLineJoin`
BorderStrokeStyle.`getLineJoin()`
Defines the decoration applied where path segments meet.
Constructors in javafx.scene.layout with parameters of type StrokeLineJoin
Modifier
Constructor
Description
``
`BorderStrokeStyle(StrokeType type, StrokeLineJoin lineJoin, StrokeLineCap lineCap, double miterLimit, double dashOffset, List<Double> dashArray)`
Creates a new BorderStrokeStyle.

## Uses of StrokeLineJoin in javafx.scene.shape

Methods in javafx.scene.shape that return StrokeLineJoin
Modifier and Type
Method
Description
`final StrokeLineJoin`
Shape.`getStrokeLineJoin()`
Gets the value of the `strokeLineJoin` property.
`static StrokeLineJoin`
StrokeLineJoin.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StrokeLineJoin[]`
StrokeLineJoin.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.shape that return types with arguments of type StrokeLineJoin
Modifier and Type
Method
Description
`final ObjectProperty<StrokeLineJoin>`
Shape.`strokeLineJoinProperty()`
Defines the decoration applied where path segments meet.
Methods in javafx.scene.shape with parameters of type StrokeLineJoin
Modifier and Type
Method
Description
`final void`
Shape.`setStrokeLineJoin(StrokeLineJoin value)`
Sets the value of the `strokeLineJoin` property.